//app更新模块
//mui.plusReady(function(){
	function update(checkUrl){
		var localVer=null;
		//var wgtUrl=null;
    	// ......
    	// 获取本地应用资源版本号
    	plus.runtime.getProperty(plus.runtime.appid,function(inf){
        	localVer=inf.version;
       	 	console.log("当前应用版本："+localVer);
        	checkUpdate(checkUrl);
    	});
    	//与线上校对版本号
		function checkUpdate(checkUrl){
    		mui.ajax(checkUrl,{
				data:{},
				dataType:'json',//服务器返回json格式数据
				async:false,
				cache: false,
				type:'get',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；              
				success:function(data){
					console.log(JSON.stringify(data));
						var wgtVer = data.version;
						var wgtArr = wgtVer.split('.');
						var localArr = localVer.split('.');
						var minlength = Math.min(wgtArr.length,localArr.length)//防止版本对比位数不一时候 取最短的
						var diff = 0;
						var i=0;
						if(localVer&&wgtVer){
							while(i<minlength){
								diff = parseInt(parseInt(wgtArr[i])-parseInt(localArr[i]))
								if(diff>0){
									version(data);
									break;
								}
								if(diff<0){//本地调试
									break;
								}
								if(diff==0){
									if(i==minlength-1){//比较到最后一位 
										console.log('无新版本更新');
										break;
									}
								}
								i++
							}
						}else{
							console.log('版本号不能为空')
							return;
						}
//              		var localVerpre = parseFloat(localVer).toFixed(1);
//  					var wgtVerpre = parseFloat(wgtVer).toFixed(1);
// 						var localVernext = localVer.replace(localVerpre + ".","");
// 						var wgtVernext =  wgtVer.replace(wgtVerpre + ".","");
//              		if(localVerpre&&wgtVerpre&&(localVerpre<wgtVerpre)){
//              			version(data);
//						}else if(localVerpre&&wgtVerpre&&(localVerpre>=wgtVerpre)){
//							console.log("无新版本可更新！");
//						}else{
//							if(localVernext < wgtVernext){
//								version(data);
//							}else if(localVernext>=wgtVernext){
//								console.log("无新版本可更新！");
//							}
//						}
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					console.log('发生错误');
				}
			});

		};
		    function version(data){
		    	if(plus.os.name == "iOS"){
                	var ios_updatetype = data.ios_updatetype;//IOS判断升级类型 1.热更新 2.不更新
                	switch(ios_updatetype){
                		case 'hot':
                			mui.toast('数据整理中...');
                			var wgtUrl = data.wgtUrl;//热更新下载包地址
                			downWgt(wgtUrl);//热更新启用
                			break;
                		case 'no':	
                			break;
                		default:
                			break;
                	}
                }
               	if(plus.os.name == "Android"){
               		var updatetype = data.updatetype;//安卓判断升级类型 1.热更新 2.整包更新
                	switch(updatetype){
                		case 'hot':
                			mui.toast('数据整理中...')
                			var wgtUrl = data.wgtUrl;//热更新下载包地址
                			downWgt(wgtUrl);//热更新启用
                			break;
                		case 'cold':
                			mui.toast('数据整理中...')
                			var downloadurl = data.downloadurl;
                			var state = data.state;
                			controlAndroidVersions(downloadurl,state);//强制整包更新(安卓)
                			break;
                		default:
                			break;
                	}		
              	}
		    }
			//下载文件
			function downWgt(wgtUrl){
//				var ws=plus.webview.currentWebview();
//  			ws.setStyle({mask:"rgba(0,0,0,0.3)"});
    			plus.nativeUI.showWaiting("数据整理中...");
    			plus.downloader.createDownload(wgtUrl,{filename:"_doc/update/"}, function(d,status){
        			if ( status == 200 ){ 
            			console.log("数据处理成功："+d.filename);
            			installWgt(d.filename); // 安装wgt包
        			} else {
            			console.log("数据处理失败！");
            			mui.toast("数据整理失败！");
        			}
        				plus.nativeUI.closeWaiting();
    			}).start();
			};
	};
		function installWgt(path){ 
    		//plus.nativeUI.showWaiting("安装更新文件中...");
   			plus.runtime.install(path,{},function(){
        		plus.nativeUI.closeWaiting();
        		console.log("安装wgt文件成功！");
        		mui.toast("数据整理完成！");
        		//setTimeout(function(){
        			plus.runtime.restart();
        		//},10000);
    		},function(e){
       	 		plus.nativeUI.closeWaiting();
        		console.log("数据处理失败["+e.code+"]："+e.message);
        		mui.toast("数据整理失败["+e.code+"]："+e.message);
    		});
		};
		//强制安卓升级版本
		function controlAndroidVersions(downloadurl,state){
	   	 	if(state=='true'){	
				var ws=plus.webview.currentWebview();
				ws.setStyle({mask:"rgba(0,0,0,0.3)"})
				plus.nativeUI.confirm("您使用的版本太旧目前已无法继续使用，请下载最新版本！", function ( i ) {
					if ( i.index == 0 ) {
						var w = plus.nativeUI.showWaiting('下载更新中，请勿关闭！')
						var dtask = plus.downloader.createDownload(downloadurl, {}, function ( d, status ) {
							if ( status == 200 ) { // 下载成功
								var path = d.filename;
								plus.runtime.install(path);
							}else {//下载失败
								alert( "下载失败，请检测网络！" );
							}  
						});
					 	dtask.start(); 
					}
				}, "", [" 立即更新"]);
			}else{
				//不强制更新
				plus.nativeUI.confirm("检测到新版本，请更新！", function ( i ) {
					if ( i.index == 0 ) {
						var w = plus.nativeUI.showWaiting('下载更新中，请勿关闭！')
						var dtask = plus.downloader.createDownload(downloadurl, {}, function ( d, status ) {
							if ( status == 200 ) { // 下载成功
								var path = d.filename;
								plus.runtime.install(path);
							}else {//下载失败
								alert( "下载失败，请检测网络！" ); 
							}  
						});
						dtask.start(); 
					}
				}, "", ["更新","取消"]);			
			}
	    }; 
//})