var AdPage = function() {
	AdPage.prototype.downloadAdData = function() {
		//	var serveSite = "https://api.ianjia.com";
		appUtils.ajax({
			url: serveSiteFmzg + '/domain',
			async: true,
			data: {
				do: 'advtMobile',
				cityId: 'd56c6f6450c94ed6b1b28b21a3982a1f',
				version: '2.0.0',
				appid: '100000',
				layoutId: '3'
			},
			success: function(data) {
				if(data.result == 1) {
					var adImgUrl = data.advtMobiles[0].img_url;
					isHasAdPage = adjustPicSize(adImgUrl, 750, 1294, 't');
					//console.log("--------------------------"+isHasAdPage);
					urladdress = data.advtMobiles[0].url_link;
					setImg("AdImg", isHasAdPage, urladdress);
				}
			},
			error:function(xhr, type, errorThrown){
				
				
			}
		});
	}
	/*1.从本地获取,如果本地存在,则直接设置图片
	 *2.如果本地不存在则联网下载,缓存到本地,再设置图片*/
	var setImg = function(imgId, loadUrl, urladdress) {
		//console.log("setImg:"+loadUrl);
		
		if(imgId == null || loadUrl == null) return;
		//图片下载成功 默认保存在本地相对路径的"_downloads"文件夹里面, 如"_downloads/logo.jpg"
		var filename = loadUrl.substring(loadUrl.lastIndexOf("/") + 1, loadUrl.length);
		//alert(filename); 
		var relativePath = "_downloads/" + filename;
		//检查图片是否已存在
		plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
			//如果文件存在,则直接设置本地图片
			setImgFromLocal(imgId, relativePath, urladdress);
		}, function(e) {
			//如果文件不存在,联网下载图片
			setImgFromNet(imgId, loadUrl, relativePath, urladdress);
		});
	}
	var setImgFromLocal = function(imgId, relativePath, urladdress) {
		//本地相对路径("_downloads/logo.jpg")转成SD卡绝对路径("/storage/emulated/0/Android/data/io.dcloud.HBuilder/.HBuilder/downloads/logo.jpg");
		var sd_path = plus.io.convertLocalFileSystemURL(relativePath);
		localStorage.setItem("sd_path", sd_path);
		//alert(urladdress);
		localStorage.setItem("urladdress", urladdress);
	}

	/*联网下载图片,并设置给<img>*/
	var setImgFromNet = function(imgId, loadUrl, relativePath, urladdress) {
		//先设置下载中的默认图片
		//goAdpage('static/images/ad_pic.jpg');
		//创建下载任务
		var dtask = plus.downloader.createDownload(loadUrl, {}, function(d, status) {
			if(status == 200) {
				//下载成功
				//alert(66666666);
				setImgFromLocal(imgId, d.filename, urladdress);
			} else {
				//下载失败,需删除本地临时文件,否则下次进来时会检查到图片已存在
				//dtask.abort();//文档描述:取消下载,删除临时文件;(但经测试临时文件没有删除,故使用delFile()方法删除);
				if(relativePath != null)
					delFile(relativePath);
			}
		});
		//启动下载任务
		dtask.start();
	}

	/*删除指定文件*/
	var delFile = function(relativePath) {
		plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
			entry.remove(function(entry) {
				//删除指定文件成功
			}, function(e) {
				//删除指定文件失败
			});
		});
	}

}

var adPage = new AdPage();