/*
 * 
 *Jquery 的验证框架
 * 
 *notNull regex ajax equalTo rangeLength
 * 
 */
var flag = true;
(function($){
    $.fn.validate = function(){
   		var form = this;
        //这里的this是Jquery的代理对象
        form.submit(function(e){
            flag = true;
            e.preventDefault();
            form.find("input,textarea,radio,select").each(function(){
                $(this).blur();
            });
            if(flag){
                //解绑form表单注册的submit事件
                form.unbind("submit");
                form.submit();
            }
        });
        form.find("input,textarea,radio,select").each(function(){
            //这里的this是当前迭代的dom对象
            var inputObj = $(this);
            //attr 代表的是html标签具备的属性
            //prop 代表的是js对象的属性 disabled checked
            var valiStr = inputObj.attr("validate");
            if(valiStr){
                inputObj.blur(function(){
                     //将json字符串转换成json对象
                    var validates = $.parseJSON(valiStr);
                    //[{"type":"notNull","msg":"用户名不能为空！"},{"type":"regex","reg":"","msg":""}]
                    //if(flag){
	                    for(var i = 0 ; i < validates.length ; i++){
	                        var validate = validates[i];
	                        //通过eval函数将 方法名执行获得函数实体对象
	                        //eval(notNull); 将字符串当作js代码执行
	                        var func = eval(validate.type);
	                        if(func(inputObj,validate)){
	                            //tip('校验通过');
	                            flag = true;
	                        }else{
	                            tip(validate.msg);
	                            flag = false;
	                            return;
	                        }
                    	}
                    //}
                });
            }
        });
        function notNull(obj,validate){
            var value = $.trim(obj.val());
            if(value.length==0){
                return false;
            }
            return true;
        }
        function integer(obj,validate){
            var value = $.trim(obj.val());
            if(parseInt(value)!=value){
                return false;
            }
            return true;
        }
        function fixed(obj,validate){
            var value = $.trim(obj.val());
			var dot = value.indexOf(".");
            if(dot != -1){
               	var dotCnt = value.substring(dot+1,value.length);
                if(dotCnt.length > 2){
                    return false;
               	}
            }
            return true;
        }
        function regex(obj,validate){
            var regMatch = new RegExp(validate.reg);
            if(regMatch==null || regMatch =="null"){
                return true;
            }
            var result = $.trim(obj.val());
            if(!regMatch.test(result)){
                return false;
            }
            return true;
        }
        function letterlength(obj,validate){
            var value = $.trim(obj.val());
            if(value.length>30){
                return false;
            }
            return true;
        }
        function equalTo(obj,validate){
            var v1 = $.trim(obj.val());
            var v2 = $.trim($(validate.target).val());
            if(v1==v2){
                return true;
            }
            return false;
        }
        function mSelect(obj,validate){
        	var checked = obj.is(':checked');
        	var selected = obj.val();
        	console.log(checked);
        	if(checked == 'true' && selected != undefined || selected != 0){
        		return true;
        	}
        	return false;
        }
        function tip(msg){
           mui.toast(msg);
        }
    }

})(jQuery);